Bug 730945 - icedtea-web fails to run unless the user installs java-1.7.0-openjdk manually
Summary: icedtea-web fails to run unless the user installs java-1.7.0-openjdk manually
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: icedtea-web
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 10:37 UTC by Omair Majid
Modified: 2011-08-25 19:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-25 19:48:56 UTC


Attachments (Terms of Use)
fix requires (419 bytes, patch)
2011-08-16 10:45 UTC, Omair Majid
no flags Details | Diff

Description Omair Majid 2011-08-16 10:37:37 UTC
Description of problem:
icedtea-web 1.1 always uses the jre it is built against to run. The spec file BuildRequires java-1.7.0-openjdk but Requires java-1.6.0-openjdk. This results in a icedtea-web build that does not function unless the user installs java-1.7.0-openjdk manually. 

Version-Release number of selected component (if applicable):
icedtea-web-1.1.1-2.fc16.x86_64

How reproducible:
every time

Steps to Reproduce:
1. rpm -e java-1.7.0-openjdk
2. yum install java-1.6.0-openjdk
3. yum install icedtea-web
4. javaws.itweb
  
Actual results:
/usr/bin/javaws.itweb: line 26: /usr/lib/jvm/java-1.7.0-openjdk.x86_64/bin/java: No such file or directory

Comment 1 Omair Majid 2011-08-16 10:45:38 UTC
Created attachment 518459 [details]
fix requires

The attached patch should fix the bug, but there are other parts of the spec file that concern me too. 

If icedtea-web is built against java-1.7.0-openjdk, then it should provide/obsolete java-1.7.0-openjdk-plugin and not java-1.6.0-openjdk-plugin

On that note, is (a package providing) java.1.6.0-openjdk-plugin supposed to be paralllel-installable with (a package-providing) java-1.7.0-openjdk-plugin?

Comment 2 Deepak Bhole 2011-08-22 14:51:07 UTC
Thanks for the patch, I will check it out later today. As for the other concerns...

There has never been a  java-1.7.0-openjdk-plugin. Obsoleting java-1.6.0-openjdk-plugin is correct in this case as that is the one we want gone from the system when icedtea-web is installed. As for provides -- it is there for compatibility with packages that require the old name (java-1.6.0-openjdk-plugin).

No, parallel installs are not allowed.

Comment 3 Deepak Bhole 2011-08-25 19:48:56 UTC
Fixed in icedtea-web-1.1.1-3.fc16


Note You need to log in before you can comment on or make changes to this bug.